package com.dgtis.dorm.manager.db.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDateTime;

public class AlumniOrganizeCustom  extends AlumniOrganize{

    private Integer id;

    private String organizeName;

    private String organizeType;

    private String organizeContent;

    private Integer organizeUserId;

    private LocalDateTime createDate;

    private Boolean isDelete;

    private String organizeMemo;

    private Integer authUserId;

    private Integer authStatus;

    private LocalDateTime authDate;

    private Integer modifyUserId;

    private LocalDateTime modifyDate;

    private Integer coverImage;

    private String url;

    private Integer weight;

    private Boolean isRemove;//是否删除



    private String userName;

    private String authUserName;

    private String organizeUserCount;

    private String priType;

    private String adminUserId;

    private String ownerUserName;

    private String bgAuthUserName;

    private Boolean isForbidden;

    private String userId;

    private String isNormal;

    // 格式化返回数据
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    public LocalDateTime getCreateDate() {
        return createDate;
    }

    public void setCreateDate(LocalDateTime createDate) {
        this.createDate = createDate;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    public LocalDateTime getAuthDate() {
        return authDate;
    }

    public void setAuthDate(LocalDateTime authDate) {
        this.authDate = authDate;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    public LocalDateTime getModifyDate() {
        return modifyDate;
    }

    public void setModifyDate(LocalDateTime modifyDate) {
        this.modifyDate = modifyDate;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAuthUserName() {
        return authUserName;
    }

    public void setAuthUserName(String authUserName) {
        this.authUserName = authUserName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getOrganizeUserCount() {
        return organizeUserCount;
    }

    public void setOrganizeUserCount(String organizeUserCount) {
        this.organizeUserCount = organizeUserCount;
    }

    public String getPriType() {
        return priType;
    }

    public void setPriType(String priType) {
        this.priType = priType;
    }

    public String getAdminUserId() {
        return adminUserId;
    }

    public void setAdminUserId(String adminUserId) {
        this.adminUserId = adminUserId;
    }

    public String getOwnerUserName() {
        return ownerUserName;
    }

    public void setOwnerUserName(String ownerUserName) {
        this.ownerUserName = ownerUserName;
    }

    public String getBgAuthUserName() {
        return bgAuthUserName;
    }

    public void setBgAuthUserName(String bgAuthUserName) {
        this.bgAuthUserName = bgAuthUserName;
    }

    public Boolean getForbidden() {
        return isForbidden;
    }

    public void setForbidden(Boolean forbidden) {
        isForbidden = forbidden;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getIsNormal() {
        return isNormal;
    }

    public void setIsNormal(String isNormal) {
        this.isNormal = isNormal;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrganizeName() {
        return organizeName;
    }

    public void setOrganizeName(String organizeName) {
        this.organizeName = organizeName;
    }

    public String getOrganizeType() {
        return organizeType;
    }

    public void setOrganizeType(String organizeType) {
        this.organizeType = organizeType;
    }

    public String getOrganizeContent() {
        return organizeContent;
    }

    public void setOrganizeContent(String organizeContent) {
        this.organizeContent = organizeContent;
    }

    public Integer getOrganizeUserId() {
        return organizeUserId;
    }

    public void setOrganizeUserId(Integer organizeUserId) {
        this.organizeUserId = organizeUserId;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean delete) {
        isDelete = delete;
    }

    public String getOrganizeMemo() {
        return organizeMemo;
    }

    public void setOrganizeMemo(String organizeMemo) {
        this.organizeMemo = organizeMemo;
    }

    public Integer getAuthUserId() {
        return authUserId;
    }

    public void setAuthUserId(Integer authUserId) {
        this.authUserId = authUserId;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
    }

    public Integer getModifyUserId() {
        return modifyUserId;
    }

    public void setModifyUserId(Integer modifyUserId) {
        this.modifyUserId = modifyUserId;
    }

    public Integer getCoverImage() {
        return coverImage;
    }

    public void setCoverImage(Integer coverImage) {
        this.coverImage = coverImage;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public Boolean getRemove() {
        return isRemove;
    }

    public void setRemove(Boolean remove) {
        isRemove = remove;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("AlumniOrganizeCustom{");
        sb.append("createDate=").append(createDate);
        sb.append(", authDate=").append(authDate);
        sb.append(", modifyDate=").append(modifyDate);
        sb.append(", userName='").append(userName).append('\'');
        sb.append(", authUserName='").append(authUserName).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
